unit FIB_blob;

interface
uses
  Classes, SysUtils, Dialogs, Variants, Math,
  FIB_header, FIB_messages;

type

  TFIB_Blob = class(TObject)
  private
  protected
    procedure AssignBlobID(DBHandle: TISC_DB_HANDLE;
                           TRHandle: TISC_TR_HANDLE;
                           var aSQLVAR: TXSQLVAR;
                           BlobValue: Variant; // if Buffer <> nil then data size
                           Buffer: Pointer);
  public
    constructor Create(ClientLib: TFIBClientLibrary; FileName: TFileName); overload;
    constructor Create(ClientLib: TFIBClientLibrary; Strings: TStrings); overload;
    constructor Create(ClientLib: TFIBClientLibrary; Stream: TStream); overload;
    constructor Create(ClientLib: TFIBClientLibrary; aBlobID: TGDS_QUAD); overload;
    destructor Destroy; override;
    procedure SetFileName(FileName: TFileName);
    procedure SetStrings(Strings: TStrings);
    procedure SetStream(Stream: TStream);
    property BlobID: TGDS_QUAD read FBlobID write FBlobID;
  end;


procedure GetBlobField(fbclib: TFIBClientLibrary;
                        DBHandle: TISC_DB_HANDLE; TRHandle: TISC_TR_HANDLE;
                        BlobID: TGDS_QUAD; Stream: TStream);


implementation


end.
